Skip to main content
GET
/
api
/
v1
/
instruments
/
discover
Discover instruments
curl --request GET \
  --url https://public-api.etoro.com/api/v1/instruments/discover \
  --header 'x-api-key: <x-api-key>' \
  --header 'x-request-id: <x-request-id>' \
  --header 'x-user-key: <x-user-key>'
{
  "page": 123,
  "pageSize": 123,
  "totalItems": 123,
  "items": [
    {
      "instrumentId": 123,
      "displayname": "<string>",
      "popularityUniques7Day": 123,
      "instrumentTypeID": 123,
      "instrumentType": "<string>",
      "exchangeID": 123,
      "symbol": "<string>",
      "isOpen": true,
      "internalAssetClassId": 123,
      "internalInstrumentDisplayName": "<string>",
      "isInternalInstrument": true,
      "internalSymbolFull": "<string>",
      "isHiddenFromClient": true,
      "internalInstrumentId": 123,
      "internalCryptoTypeId": 123,
      "internalExchangeId": 123,
      "internalExchangeName": "<string>",
      "internalAssetClassName": "<string>",
      "logo35x35": "<string>",
      "logo50x50": "<string>",
      "logo150x150": "<string>",
      "dailyPriceChange": 123,
      "absDailyPriceChange": 123,
      "weeklyPriceChange": 123,
      "monthlyPriceChange": 123,
      "isDelisted": true,
      "isCurrentlyTradable": true,
      "isExchangeOpen": true,
      "internalClosingPrice": 123,
      "isActiveInPlatform": true,
      "isBuyEnabled": true,
      "currentRate": 123,
      "threeMonthPriceChange": 123,
      "sixMonthPriceChange": 123,
      "oneYearPriceChange": 123,
      "currMonthPriceChange": 123,
      "currQuarterPriceChange": 123,
      "currYearPriceChange": 123,
      "lastYearPriceChange": 123,
      "lastTwoYearsPriceChange": 123,
      "oneMonthAgoPriceChange": 123,
      "twoMonthsAgoPriceChange": 123,
      "threeMonthsAgoPriceChange": 123,
      "sixMonthsAgoPriceChange": 123,
      "oneYearAgoPriceChange": 123,
      "cvtBid": 123,
      "cvtAsk": 123,
      "cvtBiNoSpread": 123,
      "cvtAskNoSpread": 123,
      "traders7DayChange": 123,
      "traders14DayChange": 123,
      "traders30DayChange": 123,
      "popularityUniques14Day": 123,
      "popularityUniques30Day": 123,
      "internalIndustryId": 123,
      "internalStockIndustryName": "<string>",
      "popularityUniques": 123,
      "holdingPct": 123,
      "buyHoldingPct": 123,
      "sellHoldingPct": 123,
      "buyPctChange24Hours": 123,
      "absBuyPctChange24Hours": 123,
      "industryNameId": 123,
      "sectorNameId": 123
    }
  ]
}

Headers

x-request-id
string<uuid>
required

A unique request identifier.

Example:

"2fa07ad4-b056-405c-803b-e3d8aeb90a58"

x-api-key
string<password>
required

API key for authentication.

Example:

"lhgfaslk21490FAScVPkdsb53F9dNkfHG4faZSG5vfjndfcfgdssdgsdHF4663"

x-user-key
string<password>
required

User-specific authentication key.

Example:

"eyJlYW4iOiJVbnJlZ2lzdGVyZWRBcHBsaWNhdGlvbiIsImVrIjoiOE5sZ2cwcW5EUVdROUFNWGpXT2lmOWktZnpidG5KcUlqWGJ3WHJZZkpZcldrbG90ZEhvLVBjSWhQaU8xU1ZtMW84aU1WZGZqN2xWNzFjLXFxLmcybXE1dnh4Q1hUT25xaWRUaTFlcEhmVk1fIn0_"

Query Parameters

page
integer<int32>

The 1-based page number to retrieve.

pageSize
integer<int32>

The number of items to return per page.

sort
string

Comma-separated list of Instrument fields to sort by. Prefix a field with - for descending order. Example: -marketCap,displayName.

fields
string

Comma-separated list of Instrument fields to include in each item. If omitted, all supported fields are returned. Example: symbol,displayName,currentRate.

Response

Successful response containing a paginated list of instruments.

page
integer

The current page number.

pageSize
integer

The number of items per page.

totalItems
integer

The total number of instruments matching the search criteria.

items
object[]